Bug 227680 - [PATCH] mail/fetchmail incorrectly links to heimdal libraries when MIT is selected
Summary: [PATCH] mail/fetchmail incorrectly links to heimdal libraries when MIT is sel...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-22 05:52 UTC by Cy Schubert
Modified: 2018-04-30 19:22 UTC (History)
2 users (show)

See Also:
chalpin: maintainer-feedback+
chalpin: maintainer-feedback+


Attachments
Correctly link MIT KRB5 libraries (1.69 KB, patch)
2018-04-22 05:52 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert freebsd_committer 2018-04-22 05:52:27 UTC
Created attachment 192714 [details]
Correctly link MIT KRB5 libraries

mail/fetchmail links to libheimbase.so and libhx509.so even though MIT is selected. The attached patch resolves this problem.
Comment 1 Corey Halpin 2018-04-28 17:20:37 UTC
Looks good to me. Passes 'poudriere testport' both with the default settings and with DEFAULT_VERSIONS+= ssl=openssl, OPTIONS_UNSET+= GSSAPI_BASE, OPTIONS_SET+= GSSAPI_MIT. I approve this patch. Thank you!
Comment 2 Cy Schubert freebsd_committer 2018-04-28 17:44:36 UTC
Committed. Thanks for the review and approval.
Comment 3 commit-hook freebsd_committer 2018-04-28 17:50:13 UTC
A commit references this bug:

Author: cy
Date: Sat Apr 28 17:49:37 UTC 2018
New revision: 468557
URL: https://svnweb.freebsd.org/changeset/ports/468557

Log:
  Correctly link to MIT KRB5 libraries when selected.

  This was discovered while working through issues relating to an
  exp-run using base with private Heimdal, part of the project to
  make a) Heimdal in base private and b) import MIT into base (PR 222745).

  PR:		227680
  Submitted by:	cy@
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)
  MFH:		2018Q2

Changes:
  head/mail/fetchmail/Makefile
  head/mail/fetchmail/files/patch-configure
Comment 4 commit-hook freebsd_committer 2018-04-30 19:22:48 UTC
A commit references this bug:

Author: cy
Date: Mon Apr 30 19:21:52 UTC 2018
New revision: 468741
URL: https://svnweb.freebsd.org/changeset/ports/468741

Log:
  MFH: r468557

  Correctly link to MIT KRB5 libraries when selected.

  This was discovered while working through issues relating to an
  exp-run using base with private Heimdal, part of the project to
  make a) Heimdal in base private and b) import MIT into base (PR 222745).

  PR:		227680
  Submitted by:	cy@
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)
  Approved by:	portmgr (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/mail/fetchmail/Makefile
  branches/2018Q2/mail/fetchmail/files/patch-configure